;; Material Design theme for xCRUD

;; upload 
upload_button = "mdc-button mdc-button--raised mdc-button--colored"
upload_button_icon = "material-icons"
remove_button = "mdc-button mdc-button--raised mdc-button--outlined"
remove_button_icon = "material-icons"
image = "mdc-card__media"
file_name = "mdc-typography"
no_file = "mdc-typography mdc-typography--body2"

;; details containers and tabs
details_container = "mdc-layout-grid"
details_row = "mdc-layout-grid__cell"

details_group_class = "mdc-layout-grid"
details_group_label = "mdc-typography mdc-typography--subtitle1"

details_label_cell = "mdc-form-field"
details_field_cell = "mdc-text-field"

tabs_container = "mdc-tab-bar"
tabs_header_row = "mdc-tab-bar"
tabs_header_cell = ""
tabs_header_link = "mdc-tab"
tabs_content = "mdc-tab-content"
tabs_content_pane = "mdc-tab-content__pane"
tabs_first_element = "mdc-tab--active"

;; fields
bool_field = "mdc-checkbox"
int_field = "mdc-text-field"
float_field = "mdc-text-field"
text_field = "mdc-text-field"
password_field = "mdc-text-field"
textarea_field = "mdc-text-field"
texteditor_field = "mdc-text-field"
price_field = "mdc-text-field"
coord_field = "mdc-text-field"
address_field = "mdc-text-field"
date_field = "mdc-text-field"
datetime_field = "mdc-text-field"
time_field = "mdc-text-field"
timestamp_field = "mdc-text-field"
select_field = "mdc-select"
multiselect_field = "mdc-select"
radio_field = "mdc-radio"
relation_field = "mdc-select"
checkboxes_field = "mdc-checkbox"
remote_image_field = "mdc-text-field"
remote_image = ""
point_map = ""
point_field = "mdc-text-field"
point_search = "mdc-text-field"
radio_container = "mdc-form-field"
checkbox_container = "mdc-form-field"

;; search elements
search_container = "mdc-form-field"
search_go = "mdc-button mdc-button--raised mdc-button--colored"
search_reset = "mdc-button mdc-button--raised mdc-button--outlined"
search_open = "mdc-button mdc-button--raised mdc-button--outlined"
search_phrase = "mdc-text-field"
search_from = "mdc-text-field"
search_to = "mdc-text-field"
search_range = "mdc-text-field"
search_fieldlist = "mdc-text-field"
search_phrase_dropdown = "mdc-select"
xcrud_search_toggle = "mdc-icon-button"
xcrud_searchdata = "mdc-text-field"

;; grid buttons
grid_default = "mdc-button mdc-button--outlined"
grid_default_icon = "material-icons"
grid_edit = "mdc-button mdc-button--raised mdc-button--outlined"
grid_edit_icon = "material-icons"
grid_remove = "mdc-button mdc-button--raised mdc-button--outlined"
grid_remove_icon = "material-icons"
grid_view = "mdc-button mdc-button--raised"
grid_view_icon = "material-icons"
grid_duplicate = "mdc-button mdc-button--raised mdc-button--outlined"
grid_duplicate_icon = "material-icons"
limit_list = "mdc-button mdc-button--outlined"
grid_button_group = "mdc-button-group"

;; pagination
pagination_container = "mdc-pagination"
pagination_item = "mdc-pagination__item"
pagination_active = "mdc-pagination__item--active"
pagination_dots = "mdc-pagination__item--dots"
pagination_link = "mdc-pagination__link"

;; other
tooltip_icon = "material-icons"
modal_icon = "material-icons"
slide_down_icon = "material-icons"
slide_up_icon = "material-icons"
